AnchorNode Struct Reference

`#include <regparse.h>`

## Data Fields

NodeBase | base
int | type
struct _Node * | target
int | char_len

## Detailed Description

Definition at line 238 of file regparse.h.

## Field Documentation

NodeBase AnchorNode::base

Definition at line 239 of file regparse.h.

int AnchorNode::char_len

Definition at line 242 of file regparse.h.

Referenced by compile_anchor_node(), and setup_look_behind().

struct _Node* AnchorNode::target

Definition at line 241 of file regparse.h.

Referenced by compile_anchor_node(), compile_length_anchor_node(), divide_look_behind_alternatives(), setup_look_behind(), and setup_tree().

int AnchorNode::type

Definition at line 240 of file regparse.h.

Referenced by compile_anchor_node(), compile_length_anchor_node(), divide_look_behind_alternatives(), and setup_tree().

The documentation for this struct was generated from the following file:

- regparse.h